> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oclulearn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar paciente por teléfono



## OpenAPI

````yaml /api-reference/openapi.json get /patients/find-by-phone
openapi: 3.1.0
info:
  title: OCLÜ API Pública
  description: >-
    API para integrar OCLÜ con sistemas externos (n8n, Make, Zapier, CRMs).
    Autenticación por API key. Las fechas y horas son hora local de la clínica.
    La API nunca expone datos clínicos.
  version: 1.0.0
servers:
  - url: https://{tenant}.oclucrm.com/api/v1
    description: Reemplazá {tenant} por el subdominio de tu clínica
    variables:
      tenant:
        default: tu-clinica
security:
  - apiKey: []
paths:
  /patients/find-by-phone:
    get:
      tags:
        - Pacientes
      summary: Buscar paciente por teléfono
      parameters:
        - $ref: '#/components/parameters/CurrentOrgId'
        - name: phone
          in: query
          required: true
          description: Mínimo 6 dígitos; matchea por los últimos 8
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Patient'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    CurrentOrgId:
      name: Current-Org-Id
      in: header
      required: true
      description: ID de la sede (ver GET /me)
      schema:
        type: integer
        example: 1
  schemas:
    Patient:
      type: object
      properties:
        id:
          type: integer
        external_id:
          type: integer
          nullable: true
        name:
          type: string
        lastname:
          type: string
        full_name:
          type: string
        document:
          type: string
        document_type:
          type: string
        email:
          type: string
        phone:
          type: string
        birth_date:
          type: string
        gender_id:
          type: integer
        country_id:
          type: integer
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
  responses:
    NotFound:
      description: No encontrado
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: 'API key de la clínica. Header: Authorization: Bearer oclu_live_...'

````